Bug 221723 - OOo dies on loading files
OOo dies on loading files
Status: CLOSED DUPLICATE of bug 221716
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-06 16:52 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-07 08:37:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2007-01-06 16:52:31 EST
Description of problem:
OOo will die after either loading a presentation or loading an existing
presentation (oo-impress, you get the same sort of problem loading any sort of
OpenOffice or MS Office file). If you create a new one and click on the close
application icon, you get a throwback.

Version-Release number of selected component (if applicable):
2.1.0-6.10

How reproducible:
Always

Steps to Reproduce:
1. Load an existing file
2. Start the app and select to open an existing file
  
Actual results:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers/nv_drv.so
(II) Reloading /usr/lib64/xorg/modules/drivers/nv_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-52-x86_64 libgcj-4.1.1-52-i386
(V)    kernel is: Linux 2.6.19-1.2904.fc7 #0 SMP Mon Jan 1 23:52:38 EST 2007
x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.1.0-6.10-x86_64
(VII)  depth of root window:    24 planes
(VIII) accessibility is: true
(VIV)  fedora release is: Fedora Core release 6 (Rawhide)
...start free space details ...
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0xaed5c6c8: /usr/lib64/openoffice.org2.1/program/libuno_sal.so.3 + 0x366c8
0xaed5d14b: /usr/lib64/openoffice.org2.1/program/libuno_sal.so.3 + 0x3714b
0x48230140: /lib64/libc.so.6 + 0x30140
0xae8ae0a2: /usr/lib64/openoffice.org2.1/program/libuno_cppuhelpergcc3.so.3 +
0x370a2
0xae8afa44: /usr/lib64/openoffice.org2.1/program/libuno_cppuhelpergcc3.so.3 +
0x38a44 (cppu::WeakImplHelper_query(com::sun::star::uno::Type const&,
cppu::class_data*, void*, cppu::OWeakObject*) + 0x144)
0xafe56755: /usr/lib64/openoffice.org2.1/program/libxo680lx.so + 0xb8755
0xaaff4119: /usr/lib64/openoffice.org2.1/program/libsd680lx.so + 0x2e8119
0xaaff4a4e: /usr/lib64/openoffice.org2.1/program/libsd680lx.so + 0x2e8a4e
0xaaff7d3a: /usr/lib64/openoffice.org2.1/program/libsd680lx.so + 0x2ebd3a
0xaaf719e3: /usr/lib64/openoffice.org2.1/program/libsd680lx.so + 0x2659e3
(sd::DrawDocShell::Load(SfxMedium&) + 0x193)
0xb0b8fd3b: /usr/lib64/openoffice.org2.1/program/libsfx680lx.so + 0x1cfd3b
(SfxObjectShell::LoadOwnFormat(SfxMedium&) + 0xab)
0xb0b9bdba: /usr/lib64/openoffice.org2.1/program/libsfx680lx.so + 0x1dbdba
(SfxObjectShell::DoLoad(SfxMedium*) + 0xe7a)
0xb0ab8c0a: /usr/lib64/openoffice.org2.1/program/libsfx680lx.so + 0xf8c0a
(SfxApplication::LoadTemplate(SfxObjectShellLock&, String const&, unsigned char,
SfxItemSet*) + 0x51a)
0xbecc8815: /usr/lib64/openoffice.org2.1/program/libsdui680lx.so + 0x3d815
0xbecc8dae: /usr/lib64/openoffice.org2.1/program/libsdui680lx.so + 0x3ddae
0xaca93070: /usr/lib64/openoffice.org2.1/program/libvcl680lx.so + 0xd3070
(Timer::ImplTimerCallbackProc() + 0x80)
0xb7e0a600: /usr/lib64/openoffice.org2.1/program/libvclplug_gtk680lx.so + 0x16600
0x7dc2d51b: /lib64/libglib-2.0.so.0 + 0x2d51b
0x7dc2d014: /lib64/libglib-2.0.so.0 + 0x2d014 (g_main_context_dispatch + 0x1b4)
0x7dc2fe4d: /lib64/libglib-2.0.so.0 + 0x2fe4d
0x7dc3037e: /lib64/libglib-2.0.so.0 + 0x3037e (g_main_context_iteration + 0x6e)
0xb7e0bef5: /usr/lib64/openoffice.org2.1/program/libvclplug_gtk680lx.so + 0x17ef5
0xaca8d451: /usr/lib64/openoffice.org2.1/program/libvcl680lx.so + 0xcd451
(Application::Yield(bool) + 0x51)
0xacbee8c0: /usr/lib64/openoffice.org2.1/program/libvcl680lx.so + 0x22e8c0
(Dialog::Execute() + 0x1d0)
0xbecbc641: /usr/lib64/openoffice.org2.1/program/libsdui680lx.so + 0x31641
0xaaf1527b: /usr/lib64/openoffice.org2.1/program/libsd680lx.so + 0x20927b
0xaaf1678c: /usr/lib64/openoffice.org2.1/program/libsd680lx.so + 0x20a78c
0xb0c7a635: /usr/lib64/openoffice.org2.1/program/libsfx680lx.so + 0x2ba635
(SfxShell::ExecuteSlot(SfxRequest&, SfxInterface const*) + 0x65)
0xab082869: /usr/lib64/openoffice.org2.1/program/libsd680lx.so + 0x376869
0xb16647e6: /usr/lib64/openoffice.org2.1/program/libfwk680lx.so + 0xfe7e6
0xb0ac4b17: /usr/lib64/openoffice.org2.1/program/libsfx680lx.so + 0x104b17
0xb0c7a635: /usr/lib64/openoffice.org2.1/program/libsfx680lx.so + 0x2ba635
(SfxShell::ExecuteSlot(SfxRequest&, SfxInterface const*) + 0x65)
0xb0c2be7c: /usr/lib64/openoffice.org2.1/program/libsfx680lx.so + 0x26be7c
0xb1717b68: /usr/lib64/openoffice.org2.1/program/libfwk680lx.so + 0x1b1b68
0xb17195d1: /usr/lib64/openoffice.org2.1/program/libfwk680lx.so + 0x1b35d1
0xb1719810: /usr/lib64/openoffice.org2.1/program/libfwk680lx.so + 0x1b3810
0xb15d155f: /usr/lib64/openoffice.org2.1/program/libfwk680lx.so + 0x6b55f
0xaaaef58c: /usr/lib64/openoffice.org2.1/program/libsoffice.so + 0x4258c
(desktop::DispatchWatcher::executeDispatchRequests(_STL::vector<desktop::DispatchWatcher::DispatchRequest,
_STL::allocator<desktop::DispatchWatcher::DispatchRequest> > const&) + 0x166c)
0xaaae3298: /usr/lib64/openoffice.org2.1/program/libsoffice.so + 0x36298
(desktop::OfficeIPCThread::ExecuteCmdLineRequests(desktop::ProcessDocumentsRequest&)
+ 0x148)
0xaaaced64: /usr/lib64/openoffice.org2.1/program/libsoffice.so + 0x21d64
(desktop::Desktop::OpenDefault() + 0x154)
0xaaade965: /usr/lib64/openoffice.org2.1/program/libsoffice.so + 0x31965
(desktop::Desktop::OpenClients() + 0x1e25)
0xaaadf32e: /usr/lib64/openoffice.org2.1/program/libsoffice.so + 0x3232e
(desktop::Desktop::OpenClients_Impl(void*) + 0x3e)
0xacc63601: /usr/lib64/openoffice.org2.1/program/libvcl680lx.so + 0x2a3601
0xb82d26a7: /usr/lib64/openoffice.org2.1/program/libvclplug_gen680lx.so +
0x576a7 (SalDisplay::DispatchInternalEvent() + 0xb7)
0xb7e0a476: /usr/lib64/openoffice.org2.1/program/libvclplug_gtk680lx.so + 0x16476
0x7dc2d014: /lib64/libglib-2.0.so.0 + 0x2d014 (g_main_context_dispatch + 0x1b4)
0x7dc2fe4d: /lib64/libglib-2.0.so.0 + 0x2fe4d
0x7dc3037e: /lib64/libglib-2.0.so.0 + 0x3037e (g_main_context_iteration + 0x6e)
0xb7e0be7b: /usr/lib64/openoffice.org2.1/program/libvclplug_gtk680lx.so + 0x17e7b
0xaca8d451: /usr/lib64/openoffice.org2.1/program/libvcl680lx.so + 0xcd451
(Application::Yield(bool) + 0x51)
0xaca8d4ea: /usr/lib64/openoffice.org2.1/program/libvcl680lx.so + 0xcd4ea
(Application::Execute() + 0x2a)
0xaaad9685: /usr/lib64/openoffice.org2.1/program/libsoffice.so + 0x2c685
(desktop::Desktop::Main() + 0x15a5)
0xaca92b29: /usr/lib64/openoffice.org2.1/program/libvcl680lx.so + 0xd2b29
0xaca92c15: /usr/lib64/openoffice.org2.1/program/libvcl680lx.so + 0xd2c15
(SVMain() + 0x25)
0xaaacbef6: /usr/lib64/openoffice.org2.1/program/libsoffice.so + 0x1eef6
(sal_main + 0x46)
0x4821d924: /lib64/libc.so.6 + 0x1d924 (__libc_start_main + 0xf4)
0x400619: /usr/lib64/openoffice.org2.1/program/simpress.bin + 0x619
...end stackreport details ...
...start sample ldd details ...
	libuno_sal.so.3 => /usr/lib64/openoffice.org2.1/program/libuno_sal.so.3
(0x00002aaaaaccd000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org2.1/program/libuno_salhelpergcc3.so.3 (0x00002aaaab0c2000)
	libstore.so.3 => /usr/lib64/openoffice.org2.1/program/libstore.so.3
(0x00002aaaab2c6000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaab510000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaab714000)
	libstlport_gcc.so => /usr/lib64/openoffice.org2.1/program/libstlport_gcc.so
(0x00002aaaab92e000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaabc0a000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaaabf0a000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaaac18d000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaaac39b000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaaac6e7000)
	/lib64/ld-linux-x86-64.so.2 (0x00000000bbe06000)
...end sample ldd details ...


Expected results:
Should work

Additional info:
Not tested on x86. Also dies on loading PowerPoint files.
Comment 1 Caolan McNamara 2007-01-07 08:37:46 EST

*** This bug has been marked as a duplicate of 221716 ***

Note You need to log in before you can comment on or make changes to this bug.